| iomodule Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- f
- g
- h
- i
- n
- o
- p
- r
- s
- t
- u
- v

### - a -

- AckBeforeService : XIOModule_Config

### - b -

- BaseAddress : XIOModule_Config , XIOModule
- BaseVector : XIOModule_Config
- BaudRate : XIOModule_Config

### - c -

- CallBackRef : XIOModule , XIOModule_VectorTableEntry
- CfgPtr : XIOModule
- CharactersReceived : XIOModule_Uart_Stats
- CharactersTransmitted : XIOModule_Uart_Stats
- CurrentIER : XIOModule
- CurrentIMR : XIOModule
- CurrentTCSR : XIOModule
- CurrentTLR : XIOModule
- CurrentUBRR : XIOModule

### - d -

- DeviceId : XIOModule_Config

### - f -

- FastIntr : XIOModule_Config

### - g -

- GpoInit : XIOModule_Config
- GpoValue : XIOModule

### - h -

- Handler : XIOModule , XIOModule_VectorTableEntry
- HandlerTable : XIOModule_Config

### - i -

- InputClockHz : XIOModule_Config
- Interrupts : XIOModule_Timer_Stats
- IoBaseAddress : XIOModule , XIOModule_Config
- IsReady : XIOModule
- IsStarted : XIOModule

### - n -

- NextBytePtr : XIOModule_Buffer

### - o -

- Options : XIOModule_Config

### - p -

- PitMask : XIOModule_Config
- PitPrescaler : XIOModule_Config
- PitReadable : XIOModule_Config
- PitSize : XIOModule_Config
- PitUsed : XIOModule_Config

### - r -

- ReceiveBuffer : XIOModule
- ReceiveFramingErrors : XIOModule_Uart_Stats
- ReceiveInterrupts : XIOModule_Uart_Stats
- ReceiveOverrunErrors : XIOModule_Uart_Stats
- ReceiveParityErrors : XIOModule_Uart_Stats
- RecvCallBackRef : XIOModule
- RecvHandler : XIOModule
- RemainingBytes : XIOModule_Buffer
- RequestedBytes : XIOModule_Buffer

### - s -

- SendBuffer : XIOModule
- SendCallBackRef : XIOModule
- SendHandler : XIOModule

### - t -

- Timer_Stats : XIOModule
- TransmitInterrupts : XIOModule_Uart_Stats

### - u -

- Uart_Stats : XIOModule
- UnhandledInterrupts : XIOModule

### - v -

- VectorAddrWidth : XIOModule_Config